[Overview][Constants][Types][Classes][Index] | Reference for unit 'Speech' (#crwlib)

# SRMODEINFORANK

## Declaration

Source position: speech.pas line 2558

`type SRMODEINFORANK = record`
`dwEngineID: DWORD;`
`dwMfgName: DWORD;`
`dwProductName: DWORD;`
`dwModeID: DWORD;`
`dwModeName: DWORD;`
`dwLanguage: DWORD;`
`dwDialect: DWORD;`
`dwSequencing: DWORD;`
`dwMaxWordsVocab: DWORD;`
`dwMaxWordsState: DWORD;`
`dwGrammars: DWORD;`
`dwFeatures: DWORD;`
`dwInterfaces: DWORD;`
`dwEngineFeatures: DWORD;`
`end;`